Bug 16251 - Всегда предлагает по умолчанию 800x600
: Всегда предлагает по умолчанию 800x600
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-x11)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 14491 16933
  Show dependency tree
 
Reported: 2008-07-03 15:32 by
Modified: 2013-06-13 15:48 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-07-03 15:32:24
На трёх разных машинах в момент установки системы alterator-x11 предлагает по
умолчанию разрешение 800x600.

Должен предлагать оптимальное для данного монитора/системы.
------- Comment #1 From 2008-07-03 15:34:40 -------
Предлагаю в том случае, если драйвер не fbdev  - ставить по умолчанию
"Автоматически".
------- Comment #2 From 2008-07-08 20:56:12 -------
fixed. В инсталляторе всегда 800х600, в системе - разрешение из ddc/fbdev. 
------- Comment #3 From 2008-08-29 16:27:55 -------
Надо сбэкпортить в M41, Desktop 4.1 beta 20080827 этим болеет.
------- Comment #4 From 2008-09-09 21:39:17 -------
...и 20080908 -- тоже.
------- Comment #5 From 2008-09-09 21:50:29 -------
(In reply to comment #2)
> fixed. В инсталляторе всегда 800х600, в системе - разрешение из ddc/fbdev. 
Стоп.  Помедленней.  Слав, если в инсталяторе всегда предлагается 800x600 --
это совсем не fixed, это как бы помягче сказать -- непонимание того, зачем
вообще настройка на этом шаге :(

И это блок-баг для Desktop 4.1.
------- Comment #6 From 2008-09-09 21:54:03 -------
Нужно:
на второй стадии инстялятора - 800x600, для системы на третьей стадии - из ddc
или Автоматически.
------- Comment #7 From 2008-09-09 22:06:24 -------
(In reply to comment #6)
> Нужно: на второй стадии инстялятора - 800x600
installer сам прибивает xrandr'ом 800x600, так что достаточно автомата.

> для системы на третьей стадии - из ddc или Автоматически.
Именно.
------- Comment #8 From 2008-09-10 11:19:41 -------
(In reply to comment #7)
> (In reply to comment #6)
> > Нужно: на второй стадии инстялятора - 800x600
> installer сам прибивает xrandr'ом 800x600, так что достаточно автомата.
> 
> > для системы на третьей стадии - из ddc или Автоматически.
> Именно.
> 

Пока вижу следующую проблему: алгоритм работы скрипта x11_autosetup слишком
грязно хакается в initinstall.d инсталлятора:
Не глядя на внутренюю логику он забивает 800x600 и также тупо выставляет
драйвер.

Предлагаю сделать следующее:
x11_autosetup принимает доп. ключики (Слава сделай это через getopt) для xres и
xdriver.

Далее схема следующая:
1. x11_autosetup учитывает переданный xdriver и в этом случае не включает свой
мозг автоопределения.
2. x11_autosetup _старается_ учитывать переданный xres. То есть если это вдруг
оказался fbdev, то он может перебить это значение.

Заодно Слава надо побольше использовать libshell, например очень хорошо было бы
задействовать вместо твоего debug более удобную функцию verbose ;)
------- Comment #9 From 2008-09-10 12:46:41 -------
mike> Стоп.  Помедленней.  Слав, если в инсталяторе всегда предлагается 800x600
-- это
> совсем не fixed, это как бы помягче сказать -- непонимание того, зачем вообще
> настройка на этом шаге :(

Инсталлятор всегда запускается на 800х600.
При настройке Х в инсталляторе для системы ставится разрешение, определенное по
ddc. Сейчас сделано так.

inger> Предлагаю сделать следующее:
> x11_autosetup принимает доп. ключики (Слава сделай это через getopt) для xres > и xdriver.

делаю...
------- Comment #10 From 2008-09-10 18:10:51 -------
(In reply to comment #8)
> 2. x11_autosetup _старается_ учитывать переданный xres. То есть если это вдруг
> оказался fbdev, то он может перебить это значение.

См. тж.
http://git.altlinux.org/people/mike/packages/?p=alterator-x11.git;a=commit;h=9c4d7a7602bd1c0f9a1c12ea93e954d1a47a04f4
и далее по бранчу M40.
------- Comment #11 From 2008-09-10 18:32:04 -------
сделал соответствующие ключи x11_autosetup, обновил installer
alterator-x11-0.20-alt3
installer-0.7-alt19
------- Comment #12 From 2008-09-10 18:37:33 -------
Надеюсь, посмотрев, как оно уже давно было сделано? :)
(тогда не форвардпортил, потому как состояние сизифного /x11 было непонятным)
------- Comment #13 From 2008-09-10 19:01:16 -------
Не, только сейчас посмотрел...

Кажется, вполне похоже. Только у меня разрешение, заданное через параметр,
перекрывается в случае fbdev. И еще у тебя в конечном fallback'е прописывается
auto, а у меня - ничего (результат от того и другого, как я понимаю, одинаков).
------- Comment #14 From 2008-09-10 19:09:26 -------
А, ну и ладно :-)
------- Comment #15 From 2013-06-13 15:48:25 -------
800x600 наконец-то оторван